Last Comment Bug 755122 - remove bufferToArrayHack from frameworker
: remove bufferToArrayHack from frameworker
Status: RESOLVED FIXED
[Fx17][qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All All
: -- blocker (vote)
: Firefox 18
Assigned To: Mark Hammond [:markh]
:
Mentors:
Depends on: 734215 741041
Blocks: 762569
  Show dependency treegraph
 
Reported: 2012-05-14 16:51 PDT by Shane Caraveo (:mixedpuppy)
Modified: 2012-10-16 15:31 PDT (History)
4 users (show)
gavin.sharp: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
remove the hack (1.15 KB, patch)
2012-07-03 10:07 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
markh: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Shane Caraveo (:mixedpuppy) 2012-05-14 16:51:35 PDT
moved from https://github.com/mozilla/socialapi-dev/issues/24

There are js compartment issues with Uint8Array, related to bug 734215.
Comment 1 Shane Caraveo (:mixedpuppy) 2012-06-07 16:27:25 PDT
We still have a problem, now getting "permission denied to access object".
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-29 10:09:17 PDT
This should have been fixed by bug 734215 - need to re-test.
Comment 3 Mark Hammond [:markh] 2012-07-02 19:21:50 PDT
My testing shows this as now working correctly - but I'm leaving this open as a reminder to remove the bufferToArrayHack from frameworker (or at least create a strategy to remove it - immediate removal might break amigo in the short term)
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-03 10:05:37 PDT
Is the relevant functionality not covered by the landed tests? testArrayUsingBuffer seems to cover it.
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-03 10:07:01 PDT
Created attachment 638781 [details] [diff] [review]
remove the hack
Comment 6 Mark Hammond [:markh] 2012-07-03 17:33:09 PDT
Comment on attachment 638781 [details] [diff] [review]
remove the hack

Yeah, testArrayUsingReader should cover it, so I guess a trivial s/todo// in browser_frameworker is also needed (I'm still getting a FF crash running that test from the addon, so I'm struggling to confirm it via the tests)
Comment 7 Shane Caraveo (:mixedpuppy) 2012-08-28 11:54:39 PDT
this hack function has not been in use for a few weeks, we can remove it.
Comment 9 Ed Morley [:emorley] 2012-09-04 02:56:07 PDT
https://hg.mozilla.org/mozilla-central/rev/3f7c590243c7
Comment 10 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:38:57 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/cb14aa3285c5
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-16 14:48:32 PDT
Does this have or need an automated testcase?
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-16 15:00:02 PDT
No, this is just code removal.

Note You need to log in before you can comment on or make changes to this bug.